### General ###
site_url = "gemini://example.com"
webroot = "/path/to/root"
date_format = "%d/%m/%Y at %H:%M" # The date that is displayed on the page
post_seperator = "---------------------------------------------"
posts_in_timeline = 100

### SQL settings ###
host = "localhost"
user = "username"
password = "password"
database = "glogger"

### Logging ###
logfile = "/path/to/logfile"
verbose = False

### Format ###
# The syntax for this is pretty simple
# %S - post seperator as defined by post_seperator
# %T - Title
# %D - Published date in the format specified by date_format
# %E - Edited date in the format specified by date_format
# %C - Post content
# %L - URL Permanent link to the post
# %U - URL the the user (poster)
# %N - the username of the user (poster)
user_page_post_format = '''
## %T
%C
=> %L permalink
%S
'''
post_page_post_format = '''
# Posted by %N
## %T
### Published: %D
%C
=> %U %N
Published: %D
Last Edited: %E
'''
timeline_post_format = '''
## %T
%C
=> %U %N
%S
'''
